package main

import (
	"math/rand"
)
func randomName() string {
	prefix := prefixes[rand.Intn(len(prefixes))]
	suffix := suffixes[rand.Intn(len(suffixes))]
	randomName := prefix + "_" + suffix

	return randomName
}

var (
	suffixes = []string {
		"Ai",
		"Albjofe",
		"Alfr",
		"Amras",
		"Amrod",
		"An",
		"Anarr",
		"Anduin",
		"Andvari",
		"Aragorn",
		"Arathorn",
		"Aredhel",
		"Artanis",
		"Arwen",
		"Austri",
		"Bafurr",
		"Beleg",
		"Beorn",
		"Beren",
		"Bilbo",
		"Billingr",
		"Bomburr",
		"Boromir",
		"Bruni",
		"Bufurr",
		"Buldr",
		"Buri",
		"Caranthir",
		"Celeborn",
		"Celebrian",
		"Celebrían",
		"Celegorm",
		"Cirdan",
		"Círdan",
		"Cotton",
		"Curufin",
		"Dainn",
		"Damrod",
		"Denethor",
		"Dilgbrasir",
		"Dori",
		"Draupnir",
		"Dufr",
		"Duilin",
		"Durinn",
		"Dvalinn",
		"Eärendil",
		"Eärwen",
		"Ecthelion",
		"Eikinskjaldi",
		"Eldarion",
		"Elendil",
		"Elessar",
		"Elladan",
		"Elrohir",
		"Elrond",
		"Eluréd",
		"Elurín",
		"Elwing",
		"Envinyatar",
		"Eöl",
		"Eomer",
		"Eowyn",
		"Éowyn",
		"Erestor",
		"Faniel",
		"Faramir",
		"Fëanor",
		"Fili",
		"Finduilas",
		"Fingolfin",
		"Fingon",
		"Finnr",
		"Finrod",
		"Flalarr",
		"Frar",
		"Frawgr",
		"Frodo",
		"Frosti",
		"Fundinn",
		"Galadriel",
		"Gandalf",
		"Gandalfr",
		"Gildor",
		"Gil-galad",
		"Gilwen",
		"Gimli",
		"Ginnarr",
		"Gloinn",
		"Glorfindel",
		"Goldberry",
		"Gollum",
		"Haldir",
		"Hanarr",
		"Har",
		"Haugspori",
		"Hepti",
		"Hirnbori",
		"Hlevangr",
		"Húrin",
		"Idril",
		"Imladris",
		"Indis",
		"Isildur",
		"Isilme",
		"Istarien",
		"Itarillë",
		"Idril",
		"Jari",
		"Kili",
		"Lalaith",
		"Legolas",
		"Lindir",
		"Lissë",
		"Litr",
		"Lofarr",
		"Loni",
		"Lothíriel",
		"Luthien",
		"Lúthien",
		"Maedhros",
		"Maeglin",
		"Maglor",
		"Melian",
		"Meneldor",
		"Merry",
		"Brandybuck",
		"Míriel",
		"Morwen",
		"Motsognir",
		"Nainn",
		"Nali",
		"Nar",
		"Narr",
		"Nellas",
		"Nerdanel",
		"Nessa",
		"Nienna",
		"Nienor",
		"Nimloth",
		"Nimrodel",
		"Níniel",
		"Nioi",
		"Nipingr",
		"Nori",
		"Norori",
		"Nyraor",
		"Nyu",
		"Ori",
		"Orodreth",
		"Orophin",
		"Pekkr",
		"Pengolodh",
		"Pippin",
		"Took",
		"Porinn",
		"Prainn",
		"Pror",
		"Qurvangr",
		"Raosvidr",
		"Reginn",
		"Rosamunda",
		"Rúmil",
		"Samwise",
		"Gamgee",
		"Saruman",
		"Sauron",
		"Skafidr",
		"Skirvir",
		"Suori",
		"Sviorr",
		"Tauriel",
		"Theoden",
		"Théoden",
		"Thingol",
		"Thorin",
		"Thranduil",
		"Tinúviel",
		"Treebeard",
		"Tuor",
		"Turambar",
		"Turgon",
		"Urwen",
		"Vairë",
		"Varda",
		"Veigr",
		"Vestri",
		"Vievir",
		"Vili",
		"Vindalfr",
		"Vitr",
		"Wormtongue",
		"Yavanna",
		"Yngvi",
	}

	prefixes = []string{
		"abiding",
		"abounding",
		"abundant",
		"academic",
		"acceptable",
		"accepting",
		"accessible",
		"acclaimed",
		"accommodating",
		"accountable",
		"accurate",
		"actionable",
		"active",
		"actual",
		"adaptable",
		"adaptive",
		"adequate",
		"admirable",
		"adored",
		"advantageous",
		"advisable",
		"affectionate",
		"agreeable",
		"agricultural",
		"alert",
		"alive",
		"alluring",
		"amazed",
		"ambitious",
		"amicable",
		"amusing",
		"animated",
		"appealing",
		"appetizing",
		"appreciative",
		"approachable",
		"appropriate",
		"ardent",
		"arresting",
		"artful",
		"articulate",
		"artistic",
		"aspiring",
		"assertive",
		"assured",
		"assuring",
		"astonishing",
		"astounding",
		"astronomical",
		"astute",
		"athletic",
		"attainable",
		"attractive",
		"auspicious",
		"authoritative",
		"avid",
		"awake",
		"aware",
		"balance",
		"banging",
		"beaming",
		"beautiful",
		"bedazzled",
		"bedazzling",
		"believable",
		"beloved",
		"beneficial",
		"benevolent",
		"benign",
		"better",
		"bewildering",
		"bewitching",
		"big-hearted",
		"bilingual",
		"blameless",
		"blazing",
		"blessed",
		"blissful",
		"blooming",
		"blossoming",
		"blushing",
		"bodacious",
		"boisterous",
		"bold",
		"bouncy",
		"boundless",
		"boyish",
		"brainy",
		"brave",
		"bravo",
		"brawny",
		"brazen",
		"breathtaking",
		"breezy",
		"bright",
		"brilliant",
		"buoyant",
		"bustling",
		"calm",
		"calming",
		"candid",
		"capable",
		"captivated",
		"captivating",
		"carefree",
		"careful",
		"caring",
		"cautious",
		"ceaseless",
		"celebrated",
		"celestial",
		"centered",
		"cerebral",
		"ceremonial",
		"certified",
		"changeable",
		"charismatic",
		"charitable",
		"charmed",
		"charming",
		"chatty",
		"cheeky",
		"cheerful",
		"cheery",
		"childlike",
		"chivalrous",
		"choice",
		"chuckling",
		"cinematic",
		"civilized",
		"classic",
		"classical",
		"clean",
		"clear",
		"clearheaded",
		"clever",
		"close",
		"coachable",
		"cognitive",
		"coherent",
		"cohesive",
		"collaborative",
		"collegial",
		"colloquial",
		"colorful",
		"colossal",
		"comfortable",
		"comforted",
		"comforting",
		"commanding",
		"commemorative",
		"commendable",
		"committed",
		"communicative",
		"compact",
		"compassionate",
		"compelling",
		"competent",
		"complete",
		"completed",
		"complex",
		"complimentary",
		"comprehensive",
		"conceivable",
		"concerted",
		"concise",
		"confident",
		"confidential",
		"confirmable",
		"confirmed",
		"congruent",
		"connected",
		"conscientious",
		"conscious",
		"consensual",
		"consenting",
		"conservative",
		"considerate",
		"consistent",
		"consoling",
		"conspiratorial",
		"contented",
		"cool",
		"countryside",
		"courageous",
		"cozy",
		"creative",
		"cryptic",
		"cultured",
		"dainty",
		"dapper",
		"daring",
		"dashing",
		"daughterly",
		"dazzling",
		"dear",
		"debonair",
		"decadent",
		"decisive",
		"decorative",
		"decorous",
		"dedicated",
		"deep",
		"defendable",
		"defensible",
		"definable",
		"definitive",
		"delectable",
		"deliberate",
		"deliberative",
		"delicious",
		"delighted",
		"delightful",
		"demonstrative",
		"demure",
		"dependable",
		"designer",
		"desirous",
		"detailed",
		"determined",
		"devoted",
		"devout",
		"didactic",
		"dignified",
		"diligent",
		"dim",
		"diplomatic",
		"direct",
		"disarming",
		"disciplined",
		"discontented",
		"discreet",
		"discriminating",
		"distant",
		"distinct",
		"distinguished",
		"distracting",
		"diverse",
		"diversified",
		"dizzying",
		"doable",
		"dogged",
		"dogmatic",
		"domestic",
		"dominant",
		"doting",
		"dramatic",
		"dreamy",
		"dressy",
		"driven",
		"dusky",
		"dutiful",
		"dynamic",
		"early",
		"earnest",
		"earthy",
		"easy-going",
		"easygoing",
		"eccentric",
		"economical",
		"ecstatic",
		"edgy",
		"educated",
		"educational",
		"effective",
		"effervescent",
		"efficient",
		"effortless",
		"effusive",
		"egalitarian",
		"elaborate",
		"electric",
		"electrifying",
		"elegant",
		"elevated",
		"eligible",
		"elite",
		"eloquent",
		"emblematic",
		"emboldened",
		"empathetic",
		"empirical",
		"enamored",
		"enchanted",
		"enchanting",
		"encouraged",
		"encouraging",
		"endearing",
		"endurable",
		"enduring",
		"energetic",
		"energizing",
		"enforceable",
		"engrossing",
		"enhanced",
		"enigmatic",
		"enjoyable",
		"enlightened",
		"enough",
		"enterprising",
		"entertained",
		"entertaining",
		"enthralled",
		"enthused",
		"enthusiastic",
		"enticing",
		"entire",
		"entranced",
		"entrepreneurial",
		"enumerable",
		"enviable",
		"equal",
		"equitable",
		"erect",
		"essential",
		"established",
		"eternal",
		"ethereal",
		"ethical",
		"euphoric",
		"even",
		"eventful",
		"everlasting",
		"evocative",
		"exact",
		"exalted",
		"excellent",
		"exceptional",
		"excitable",
		"excited",
		"exciting",
		"exclusive",
		"executable",
		"exhaustive",
		"exhilarated",
		"exhilarating",
		"exotic",
		"expansive",
		"expectant",
		"expected",
		"exquisite",
		"extensive",
		"extraordinary",
		"exuberant",
		"fabled",
		"fabulous",
		"factual",
		"fair",
		"fairy-tale-like",
		"faithful",
		"famous",
		"fantastic",
		"far-flung",
		"farming-related",
		"fascinated",
		"fascinating",
		"fashionable",
		"fastidious",
		"fateful",
		"fatherly",
		"fathomable",
		"favorable",
		"favourite",
		"fearless",
		"fertile",
		"fervent",
		"fetching",
		"fierce",
		"fiery",
		"fine",
		"firm",
		"first",
		"fit",
		"flamboyant",
		"flashy",
		"flattered",
		"flattering",
		"flavorful",
		"flawless",
		"flexible",
		"flirtatious",
		"flowery",
		"fluent",
		"fluffy",
		"focused",
		"fond",
		"foreseeable",
		"forgivable",
		"forgiving",
		"formal",
		"formative",
		"formidable",
		"forthright",
		"fortuitous",
		"fortunate",
		"forward",
		"foxy",
		"fragrant",
		"frank",
		"fraternal",
		"free",
		"freedom",
		"fresh",
		"friendly",
		"frisky",
		"fulfilled",
		"fulfilling",
		"full",
		"fun",
		"functional",
		"fundamental",
		"funny",
		"futuristic",
		"gainful",
		"gallant",
		"game",
		"generous",
		"genial",
		"genius",
		"gentle",
		"genuine",
		"giant",
		"giddy",
		"gifted",
		"gigantic",
		"giggling",
		"giving",
		"glad",
		"glaring",
		"gleaming",
		"glittering",
		"glorious",
		"glossy",
		"glowing",
		"golden",
		"good-looking",
		"goof",
		"gorgeous",
		"graceful",
		"gracious",
		"grandiose",
		"grateful",
		"gratified",
		"gratifying",
		"great",
		"greatest",
		"grinning",
		"gripping",
		"groomed",
		"groovy",
		"guaranteed",
		"guiltless",
		"gutsy",
		"hallowed",
		"handsome",
		"happy",
		"hard-working",
		"hardworking",
		"hardy",
		"harmless",
		"harmonic",
		"harmonious",
		"heady",
		"healthy",
		"heart-warming",
		"hearty",
		"heavenly",
		"heedful",
		"helpful",
		"heroic",
		"high",
		"historic",
		"historical",
		"holistic",
		"homey",
		"honest",
		"honourable",
		"hopeful",
		"hot",
		"huggable",
		"human",
		"humble",
		"hygienic",
		"idealistic",
		"illimitable",
		"illuminating",
		"illustrious",
		"imaginative",
		"immaculate",
		"immeasurable",
		"immense",
		"immortal",
		"immovable",
		"impartial",
		"impassioned",
		"impenetrable",
		"impervious",
		"important",
		"impressive",
		"improved",
		"improving",
		"inalienable",
		"incandescent",
		"inclusive",
		"incomparable",
		"incontrovertible",
		"incredible",
		"industrious",
		"inexpensive",
		"infinite",
		"influenced",
		"influential",
		"informative",
		"informed",
		"ingenuous",
		"inhabitable",
		"innovative",
		"inquisitive",
		"insightful",
		"inspirational",
		"inspiring",
		"intelligent",
		"intense",
		"intensity",
		"interesting",
		"intriguing",
		"invaluable",
		"inviting",
		"iridescent",
		"jadeite",
		"jaunty",
		"jazzed",
		"jentacular",
		"jocular",
		"jocund",
		"jovial",
		"joyful",
		"jubilant",
		"judicious",
		"kaleidoscopic",
		"keen",
		"kidding",
		"kind",
		"kindhearted",
		"kinetic",
		"kingly",
		"king-sized",
		"kissable",
		"kissy",
		"knowable",
		"knowledgeable",
		"kooky",
		"kosher",
		"kudos",
		"laughable",
		"lengthy",
		"liberal",
		"light-hearted",
		"likable",
		"limitless",
		"listenable",
		"lively",
		"lofty",
		"logical",
		"loveable",
		"loving",
		"loyal",
		"lucky",
		"luminous",
		"luxurious",
		"luxury",
		"magical",
		"magnetic",
		"marketable",
		"maternal",
		"mature",
		"meaningful",
		"meditative",
		"merciful",
		"merry",
		"mindful",
		"miraculous",
		"modest",
		"motivational",
		"moving",
		"mysterious",
		"mystical",
		"naughty",
		"neighborly",
		"new",
		"nostalgic",
		"notable",
		"noteworthy",
		"nutritious",
		"obedient",
		"observant",
		"okay",
		"open",
		"open-minded",
		"optimistic",
		"organized",
		"original",
		"otherworldly",
		"outstanding",
		"overflowing",
		"palatial",
		"parental",
		"passionate",
		"pastoral",
		"paternal",
		"patient",
		"peaceful",
		"peerless",
		"perceptive",
		"personable",
		"phenomenal",
		"pioneering",
		"playful",
		"pleasant",
		"polite",
		"positive",
		"powerful",
		"practical",
		"precocious",
		"premium",
		"pretty",
		"pristine",
		"productive",
		"prolific",
		"protective",
		"proud",
		"pure",
		"qualified",
		"quantifiable",
		"quick",
		"quiet",
		"quirky",
		"quotable",
		"radiant",
		"rational",
		"real",
		"realistic",
		"refreshing",
		"regal",
		"rejuvenating",
		"relaxed",
		"relevant",
		"reliable",
		"remarkable",
		"reserved",
		"resilient",
		"resourceful",
		"respectful",
		"responsive",
		"reverent",
		"rich",
		"right",
		"romantic",
		"roomy",
		"rural",
		"safety",
		"sand-covered",
		"sandy",
		"sane",
		"satisfied",
		"scrupulous",
		"seemly",
		"sensational",
		"sensible",
		"sensitive",
		"sentimental",
		"serene",
		"sexy",
		"shiny",
		"sincere",
		"smart",
		"sociable",
		"soulful",
		"spacious",
		"spirited",
		"spotless",
		"steady",
		"stimulating",
		"straightforward",
		"strong",
		"stunning",
		"suave",
		"successful",
		"sufficient",
		"sun-drenched",
		"sun-soaked",
		"superb",
		"sweet",
		"tactful",
		"tenacious",
		"terrific",
		"thoughtful",
		"towering",
		"tranquil",
		"trustworthy",
		"unique",
		"unspoiled/unspoilt",
		"uplifting",
		"vast",
		"vibrant",
		"vivacious",
		"wholesome",
		"willing",
		"xenial",
		"yielding",
		"youthful",
		"zestful",
	}
)
